# lugins/osg/TextureCubeMap.cpp File Reference

`#include "osg/TextureCubeMap"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/TextureCubeMap.cpp:

## Defines

#define | READ_IMAGE(FACE)
#define | WRITE_IMAGE(FACE)

## Functions

bool | TextureCubeMap_readLocalData (Object &obj, Input &fr)
bool | TextureCubeMap_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_TextureCubeMapProxy (new osg::TextureCubeMap,"TextureCubeMap","Object StateAttribute TextureCubeMap TextureBase",&TextureCubeMap_readLocalData,&TextureCubeMap_writeLocalData)

## Define Documentation

#define READ_IMAGE | ( | FACE |  | ) |

Value:

    matched = false;\
            if (fr[1].matchWord(#FACE)) \
            {\
                if (fr[2].isString())\
                { \
                    Image* image = fr.readImage(fr[2].getStr());\
                    if (image) texture.setImage(osg::TextureCubeMap::FACE,image);\
                    fr += 2;\
                    iteratorAdvanced = true; \
                    matched = true;\
                }\
            }\

#define WRITE_IMAGE | ( | FACE |  | ) |

Value:

    {\
            const osg::Image* image = texture.getImage(osg::TextureCubeMap::FACE);\
            if (image && !(image->getFileName().empty())) \
            {\
                fw.indent() << "image "<<#FACE<<" "<<image->getFileName()<<std::endl;\
            }\
        }

## Function Documentation

bool TextureCubeMap_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool TextureCubeMap_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TextureCubeMapProxy(new osg::TextureCubeMap,"TextureCubeMap","Object StateAttribute TextureCubeMap TextureBase",&TextureCubeMap_readLocalData,&TextureCubeMap_writeLocalData)